# kill

> एक प्रोग्राम को एक सिग्नल भेजता है, जो आमतौर पर प्रोग्राम को रोकने से संबंधित होता है।
> SIGKILL और SIGSTOP को छोड़कर सभी सिग्नल्स को प्रोग्राम द्वारा इंटरसेप्ट किया जा सकता है ताकि यह साफ-सुथरे तरीके से बाहर निकल सके।
> अधिक जानकारी: <https://manned.org/kill>।

- डिफ़ॉल्ट SIGTERM (terminate) सिग्नल का उपयोग करके एक प्रोग्राम को समाप्त करें:

`kill {{प्रक्रिया_आईडी}}`

- सिग्नल मान और उनके संबंधित नामों की सूची दिखाएं (बिना `SIG` उपसर्ग के उपयोग किया जाता है):

`kill -L`

- एक बैकग्राउंड जॉब को समाप्त करें:

`kill %{{जॉब_आईडी}}`

- SIGHUP (hang up) सिग्नल का उपयोग करके एक प्रोग्राम को समाप्त करें। कई डेमॉन प्रोग्राम समाप्त होने के बजाय पुनः लोड होंगे:

`kill -{{1|HUP}} {{प्रक्रिया_आईडी}}`

- SIGINT (interrupt) सिग्नल का उपयोग करके एक प्रोग्राम को समाप्त करें। इसे आमतौर पर उपयोगकर्ता `Ctrl + C` दबाकर आरंभ करते हैं:

`kill -{{2|INT}} {{प्रक्रिया_आईडी}}`

- ऑपरेटिंग सिस्टम को सिग्नल भेजकर एक प्रोग्राम को तुरंत समाप्त करें (जिसे सिग्नल को कैप्चर करने का कोई अवसर नहीं मिलता है):

`kill -{{9|KILL}} {{प्रक्रिया_आईडी}}`

- ऑपरेटिंग सिस्टम को सिग्नल भेजकर एक प्रोग्राम को रोकें जब तक कि SIGCONT ("जारी रखें") सिग्नल प्राप्त न हो:

`kill -{{17|STOP}} {{प्रक्रिया_आईडी}}`

- दिए गए GID (समूह आईडी) वाले सभी प्रक्रियाओं को `SIGUSR1` सिग्नल भेजें:

`kill -{{SIGUSR1}} -{{समूह_आईडी}}`
