# 7za

> 높은 파일 압축률을 보여주는 파일 압축 프로그램.
> 더 적은 압축 타입을 지원하지만, 크로스플랫폼인 점을 제외하면 `7z`과 유사합니다.
> 더 많은 정보: <https://manned.org/7za>.

- 파일이나 디렉토리 압축하기:

`7za a {{경로/대상/압축파일.7z}} {{경로/대상/파일_혹은_디렉토리}}`

- 압축파일 암호화 (including file names):

`7za a {{경로/대상/압축파일.7z}} -p{{비밀번호}} -mhe={{on}} {{경로/대상/압축파일.7z}}`

- 기존 디렉토리 경로에 존재하는 7z 파일 추출:

`7za x {{경로/대상/압축파일.7z}}`

- 특정 디렉토리에 압축파일 추출:

`7za x {{경로/대상/압축파일.7z}} -o{{경로/대상/결과물}}`

- `stdout`에 압축파일 추출:

`7za x {{경로/대상/압축파일.7z}} -so`

- 특정 압축 타입을 이용하여 추출하기:

`7za a -t{{zip|gzip|bzip2|tar}} {{archived}} {{경로/대상/파일명_또는_디렉터리명}}`

- 압축 파일의 내용 목록:

`7za l {{경로/대상/압축파일.7z}}`

- 압축 수준 설정(높을수록 압축률 상승, 속도는 감소):

`7za a {{경로/대상/압축파일.7z}} -mx={{0|1|3|5|7|9}} {{경로/파일명_또는_디렉토리명}}`
