# du

> 디스크 사용량: 파일 및 디렉터리 공간 사용량을 추정하고 요약.
> 더 많은 정보: <https://www.gnu.org/software/coreutils/du>.

- 지정된 단위(B/KiB/MiB)로 디렉터리 및 하위 디렉터리의 크기를 나열:

`du -{{b|k|m}} {{경로/대상/디렉터리}}`

- 사람이 읽을 수 있는 형식으로 디렉터리 및 하위 디렉터리의 크기를 나열 (예: 각 크기에 적합한 단위 자동 선택 ):

`du -h {{경로/대상/디렉터리}}`

- 사람이 읽을 수 있는 단위로 단일 디렉터리의 크기를 표시:

`du -sh {{경로/대상/디렉터리}}`

- 사람이 읽을 수 있는 디렉터리와 그 안에 있는 모든 파일 및 디렉터리의 크기를 나열:

`du -ah {{경로/대상/디렉터리}}`

- 사람이 읽을 수 있는 디렉터리 및 하위 디렉터리의 크기를 최대 N 수준까지 나열:

`du -h --max-depth=N {{경로/대상/디렉터리}}`

- 현재 디렉터리의 하위 디렉터리에 있는 모든 `.jpg` 파일의 사람이 읽을 수 있는 크기를 보여주고, 마지막에 누적 합계를 표시:

`du -ch {{*/*.jpg}}`

- 특정 임계값([t]hreshold) 크기를 초과하는 모든 파일 및 디렉터리(숨겨진 디렉터리 포함)를 나열 (실제로 공간을 차지하는 것이 무엇인지 조사하는 데 유용):

`du --all --human-readable --threshold {{1G|1024M|1048576K}} .[^.]* *`
