# git tag

> 태그를 생성하거나 나열하거나 삭제하거나 확인합니다.
> 태그는 커밋에 대한 정적 참조입니다.
> 더 많은 정보: <https://git-scm.com/docs/git-tag>.

- 모든 태그 나열:

`git tag`

- 주어진 이름을 가진 태그를 현재 커밋을 가리키도록 생성:

`git tag {{태그_이름}}`

- 주어진 이름을 가진 태그를 주어진 커밋을 가리키도록 생성:

`git tag {{태그_이름}} {{커밋}}`

- 주어진 메시지로 주석이 달린 태그 생성:

`git tag {{태그_이름}} -m {{태그_메시지}}`

- 주어진 이름을 가진 태그를 삭제:

`git tag {{-d|--delete}} {{태그_이름}}`

- 업스트림에서 업데이트된 태그 가져오기:

`git fetch --tags`

- 태그를 원격 저장소에 푸시:

`git push origin tag {{태그_이름}}`

- 주어진 커밋을 포함하는 모든 태그 목록:

`git tag --contains {{커밋}}`
