# ssh

> 보안 쉘은 원격 시스템에 안전하게 로그인하는 데 사용되는 프로토콜입니다.
> 원격 서버에서 명령을 기록하거나 실행하는 데 사용할 수 있습니다.
> 더 많은 정보: <https://man.openbsd.org/ssh>.

- 원격 서버에 연결:

`ssh {{사용자 명}}@{{원격_호스트}}`

- 특정 인증정보(개인 키)를 사용하여 원격 서버에 연결:

`ssh -i {{경로/대상/키_파일}} {{사용자 명}}@{{원격_호스트}}`

- 특정 포트를 사용하여 원격 서버에 연결:

`ssh {{사용자 명}}@{{원격_호스트}} -p {{2222}}`

- 원격 명령과의 상호 작용을 허용하는 [t]ty 할당을 사용하여 원격 서버에서 명령을 실행:

`ssh {{사용자 명}}@{{원격_호스트}} -t {{명령어}} {{명령어_인자}}`

- SSH 터널링: 동적 포트 전달 (`localhost:1080`의 SOCKS 프록시):

`ssh -D {{1080}} {{사용자 명}}@{{원격_호스트}}`

- SSH 터널링: 원격 명령의 의사-[T]ty 할당 및 실행(executio[N])의 비활성화와 함께 특정 포트(`localhost:9999`를 `example.org:80`):

`ssh -L {{9999}}:{{example.org}}:{{80}} -N -T {{사용자 명}}@{{원격_호스트}}`

- SSH 점프: 점프 호스트를 통해 원격 서버에 연결(여러 점프 홉은 쉼표 문자로 구분하여 지정):

`ssh -J {{사용자 명}}@{{점프_호스트}} {{사용자 명}}@{{원격_호스트}}`

- 에이전트 전달: 인증 정보를 원격 시스템으로 전달(사용 가능한 옵션은 `man ssh_config` 참조):

`ssh -A {{사용자 명}}@{{원격_호스트}}`
