# robocopy

> 강력한 파일 및 폴더 복사.
> 기본적으로 원본과 대상의 타임 스탬프 또는 파일 크기가 다른 경우에만 파일이 복사됩니다.
> 더 많은 정보: <https://learn.microsoft.com/windows-server/administration/windows-commands/robocopy>.

- 하나의 디렉토리에서 모든 `.jpg` 및 `.bmp` 파일을 다른 디렉토리로 복사:

`robocopy {{경로\대상\원본_디렉토리}} {{경로\대상\대상_디렉토리}} {{*.jpg}} {{*.bmp}}`

- 모든 파일 및 하위 디렉토리를 포함하여 복사:

`robocopy {{경로\대상\원본_디렉토리}} {{경로\대상\대상_디렉토리}} /E`

- 원본에 없는 모든 항목을 제외하고 모든 속성 및 권한을 포함하여 디렉토리를 미러링/동기화:

`robocopy {{경로\대상\원본_디렉토리}} {{경로\대상\대상_디렉토리}} /MIR /COPYALL`

- 대상보다 오래된 원본을 제외한 모든 파일과 하위 디렉토리를 복사:

`robocopy {{경로\대상\원본_디렉토리}} {{경로\대상\대상_디렉토리}} /E /XO`

- 모든 50 MB 이상 파일을 복사하는 대신 목록 표시:

`robocopy {{경로\대상\원본_디렉토리}} {{경로\대상\대상_디렉토리}} /MIN:{{52428800}} /L`

- 재시도를 5회, 대기 시간을 15초로 제한하고 네트워크 연결이 중단된 경우 재개를 허용:

`robocopy {{경로\대상\원본_디렉토리}} {{경로\대상\대상_디렉토리}} /Z /R:5 /W:15`

- 도움말 표시:

`robocopy /?`
