# jq

> Процессор JSON командной строки, использующий доменный язык.
> Больше информации: <https://jqlang.github.io/jq/manual/>.

- Выполнить указанное выражение (вывести цветной и отформатированный JSON):

`{{cat путь/к/файлу.json}} | jq '.'`

- Выполнить указанный скрипт:

`{{cat путь/к/файлу.json}} | jq --from-file {{путь/к/скрипту.jq}}`

- Передать указанные агрументы:

`{{cat путь/к/файлу.json}} | jq {{--arg "имя1" "значение1" --arg "имя2" "значение2" ...}} '{{. + $ARGS.named}}'`

- Вывести указанные ключи:

`{{cat путь/к/файлу.json}} | jq '{{.ключ1, .ключ2, ...}}'`

- Вывести указанные элементы массива:

`{{cat путь/к/файлу.json}} | jq '{{.[индекс1], .[индекс2], ...}}'`

- Вывести все элементы массива/ключи объекта:

`{{cat путь/к/файлу.json}} | jq '.[]'`

- Добавить/удалить указанные ключи:

`{{cat путь/к/файлу.json}} | jq '. {{+|-}} {{{"ключ1": "значение1", "ключ2": "значение2", ...}}}'`
