# cargo

> ரஸ்ட் திட்டங்கள் மற்றும் அவற்றின் தொகுதி சார்புகளை (கிரேட்ஸ்) நிர்வகிக்கவும்.
> `build` போன்ற சில துணைக் கட்டளைகள் அவற்றின் சொந்த பயன்பாட்டு ஆவணங்களைக் கொண்டுள்ளன.
> மேலும் விவரத்திற்கு: <https://doc.rust-lang.org/cargo>.

- கிரேட்ஸைத் தேடுங்கள்:

`cargo search {{தேடல்_சரம்}}`

- ஒரு பைனரி பெட்டியை நிறுவவும்:

`cargo install {{கிரேட்_பெயர்}}`

- நிறுவப்பட்ட பைனரி பெட்டிகளை பட்டியலிடுங்கள்:

`cargo install --list`

- குறிப்பிட்ட கோப்பகத்தில் புதிய பைனரி அல்லது நூலகம் ரஸ்ட் திட்டத்தை உருவாக்கவும் (அல்லது முன்னிருப்பாக தற்போதைய வேலை கோப்பகம்):

`cargo init --{{bin|lib}} {{அடைவிற்குப்/பாதை}}`

- தற்போதைய கோப்பகத்தில் `Cargo.toml` இல் சார்புநிலையைச் சேர்க்கவும்:

`cargo add {{சார்பு}}`

- வெளியீட்டு சுயவிவரத்தைப் பயன்படுத்தி தற்போதைய கோப்பகத்தில் ரஸ்ட் திட்டத்தை உருவாக்கவும்:

`cargo build --release`

- நைட்லி கம்பைலரைப் பயன்படுத்தி தற்போதைய கோப்பகத்தில் ரஸ்ட் திட்டத்தை உருவாக்கவும் (`rustup` தேவை):

`cargo +nightly build`

- குறிப்பிட்ட எண்ணிக்கையிலான நூல்களைப் பயன்படுத்தி உருவாக்கவும் (இயல்புநிலை தருக்க CPU கோர்களின் எண்ணிக்கை):

`cargo build --jobs {{நூல்களின்_எண்ணிக்கை}}`
