# 7za

> 一个高压缩率的文件归档器。
> 类似于 `7z`，支持的文档类型更少但跨平台。
> 更多信息：<https://manned.org/7za>.

- 归档一个文件或目录：

`7za a {{归档文件.7z}} {{文件或目录}}`

- 加密一个已存在的归档文件（包括文件名）：

`7za a {{加密文件.7z}} -p{{密码}} -mhe={{on}} {{归档文件.7z}}`

- 提取一个已存在的 7z 文件，并保持原来的目录结构：

`7za x {{归档文件.7z}}`

- 提取一个归档文件到指定目录：

`7za x {{归档文件.7z}} -o{{输出目录}}`

- 提取一个归档文件到标准输出：

`7za x {{归档文件.7z}} -so`

- 使用指定的类型来归档文件：

`7za a -t{{7z|bzip2|gzip|lzip|tar|...}} {{归档文件.7z}} {{文件或目录}}`

- 列出一个归档文件的内容：

`7za l {{归档文件.7z}}`

- 设置压缩级别（数字越高表示压缩越多，但速度更慢）：

`7za a {{归档文件.7z}} -mx={{0|1|3|5|7|9}} {{文件或目录}}`
