# cp

> 複製檔案與資料夾。
> 更多資訊：<https://www.gnu.org/software/coreutils/cp>.

- 複製一個檔案到新位置，並重新命名：

`cp {{檔案/完整/檔案.副檔名}} {{檔案/完整/新檔案.副檔名}}`

- 複製一個檔案到目錄內，但保留檔案名稱：

`cp {{檔案/完整/檔案.副檔名}} {{目錄/完整/路徑}}`

- 遞迴的複製目錄的所有內容到新位置（若目標路徑已存在，將複製到該目錄的內部）：

`cp -r {{目錄/完整/路徑}} {{目錄/完整/目標路徑}}`

- 遞迴的複製目錄的所有內容到新位置，並透過 `-v` 參數在複製過程中顯示被複製的內容：

`cp -vr {{目錄/完整/路徑}} {{目錄/完整/目標路徑}}`

- 透過「互動模式」複製文字檔到新位置（當新位置有相同名稱的檔案時，需要先經過使用者的同意，方能複製到新位置）：

`cp -i {{*.txt}} {{目錄/完整/目標路徑}}`

- 複製檔案或「捷徑」指向的「真實」檔案或資料夾：

`cp -L {{捷徑}} {{目錄/完整/目標路徑}}`

- 使用完整的檔案路徑與檔案名稱，來創建跟原本目錄結構相同的目錄與檔案：

`cp --parents {{檔案/完整/路徑}} {{檔案/完整/路徑}}`
