# gleam

> The compiler, build tool, package manager and code formatter for Gleam, "a friendly language for building type-safe systems that scale!".
> More information: <https://gleam.run/writing-gleam/command-line-reference/>.

- Create a new gleam project:

`gleam new {{project_name}}`

- Build and run a gleam project:

`gleam run`

- Build the project:

`gleam build`

- Run a project for a particular platform and runtime:

`gleam run --target {{platform}} --runtime {{runtime}}`

- Add a hex dependency to your project:

`gleam add {{dependency_name}}`

- Run project tests:

`gleam test`

- Format source code:

`gleam format`

- Type check the project:

`gleam check`
