# lex

> Lexical analyzer generator.
> Given the specification for a lexical analyzer, generates C code implementing it.
> More information: <https://manned.org/lex.1>.

- Generate an analyzer from a Lex file, storing it to the file `lex.yy.c`:

`lex {{analyzer.l}}`

- Write analyzer to `stdout`:

`lex -{{-stdout|t}} {{analyzer.l}}`

- Specify the output file:

`lex {{analyzer.l}} --outfile {{analyzer.c}}`

- Generate a [B]atch scanner instead of an interactive scanner:

`lex -B {{analyzer.l}}`

- Compile a C file generated by Lex:

`cc {{path/to/lex.yy.c}} --output {{executable}}`
